<template>
  <div>
    <router-link :to="{ name: 'home' }">Home</router-link> |
    <router-link :to="{ name: 'about' }">About</router-link> |
    <router-link :to="{ name: 'user'}">User</router-link>
  </div>
  <p>
    <button @click="$router.go(-1)">Go back 1 Step</button> &nbsp;
    <button @click="$router.go(1)">Go Forward 1 Step</button> &nbsp;
    <button @click="$router.push('/about')">Redirect</button> 
  </p>
  <router-view></router-view>
</template>

<style>
  *{
    text-align: center;
  }
  .router-link-exact-active{
    color: red;
  }
</style>